All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.commands.jdbc.export
Class BaseRelationalExportCommand

    com.sas.servlet.commands.jdbc.export.BaseRelationalExportCommand

All Implemented Interfaces:
  DynamicAttributeCommandInterface, RelationalExportCommandInterface, RelationalExportCommandV2Interface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

Direct Known Subclasses:
  ExportToCSVCommand, ExportToExcelXMLCommand, ExportToHTMLCommand, ExportToTabSeparatedCommand

    public abstract class BaseRelationalExportCommand

implements RelationalExportCommandV2Interface

Base class for the commands that export non multidimensional data.

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`BaseRelationalExportCommand()`

Method Summary
`void` | `execute(int startRow, int nRows, boolean isRawData)` Executes the command
`void` | `execute(int startRow, int nRows, boolean isRawData, int[] columns, java.lang.String[] headers, java.lang.String[] footers)` Executes the command
`void` | `execute(java.lang.Object o)` Executes the command.
`abstract void` | `execute(java.lang.Object o, int startRow, int nRows, boolean isRawData)` Executes the command
`abstract void` | `execute(java.lang.Object out, int startRow, int nRows, boolean isRawData, int[] columns, java.lang.String[] headers, java.lang.String[] footers)` Executes the command

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Constructor Detail

### BaseRelationalExportCommand

    public BaseRelationalExportCommand()

Method Detail

### execute

    public void execute(java.lang.Object o)

  Executes the command.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - The output object where to write the exported data to (example a `ServletResponse` or a `Writer`)

### execute

    public abstract void execute(java.lang.Object o,
                                 int startRow,
                                 int nRows,
                                 boolean isRawData)

  Description copied from interface: `RelationalExportCommandInterface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandInterface`
  Parameters:
    `o` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported

### execute

    public void execute(int startRow,
                        int nRows,
                        boolean isRawData)

  Description copied from interface: `RelationalExportCommandInterface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandInterface`
  Parameters:
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported

### execute

    public void execute(int startRow,
                        int nRows,
                        boolean isRawData,
                        int[] columns,
                        java.lang.String[] headers,
                        java.lang.String[] footers)

  Description copied from interface: `RelationalExportCommandV2Interface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandV2Interface`
  Parameters:
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `columns` - the indexes (in the data model) of the columns to export, if null it will export all the columns in the data model
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

### execute

    public abstract void execute(java.lang.Object out,
                                 int startRow,
                                 int nRows,
                                 boolean isRawData,
                                 int[] columns,
                                 java.lang.String[] headers,
                                 java.lang.String[] footers)

  Description copied from interface: `RelationalExportCommandV2Interface`
  Executes the command

  Specified by:
    `execute` in interface `RelationalExportCommandV2Interface`
  Parameters:
    `out` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `columns` - the indexes (in the data model) of the columns to export, if null it will export all the columns in the data model
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.